
Summary: a harmonic tide clock and tide predictor
Name: xtide
Version: 1.6.1
Release: 4
Copyright: GPL
URL: http://www.universe.digex.net/~dave/xtide/
Group: X11/Applications
Packager: John C. Peterson <jaypee@netcom.com>
Source: http://www.universe.digex.net/~dave/files/xtide-1.6.1.tgz
Source1: http://www.universe.digex.net/~dave/files/harmonics.gz
Patch: xtide-1.6.1-linux.patch
Buildroot: /tmp/build_root

%description
The Tide and XTide programs generate and display tidal information for any
geographic location which has an appropriate set of harmonic constants.
By default, it is a simple tide clock, but it has command line switches
to generate graphs, listings, calendars, and all kinds of good stuff.

Tide and XTide are the work of David Flater, with the help of numerous
contributors: Jef Poskanzer; Jack Greenbaum; Rob Miracle; Geoff Kuenning;
Dale DePriest; Stan Uno; Dean Pentcheff; Jeff Dairiki; and Eric Rosen.
It can be distributed or modified under the terms of the GNU General
Public License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This RPM binary distribution of tide and xtide includes the harmonic
constants database distributed from the xtide home page, (see below).
If you want to use a system wide configuration file, this distribution
was configured at compile time to use the names "/etc/tiderc", and
"/etc/xtiderc" for Tide and XTide respectively. For more information,
see the xtide man page, or the README file in the sub-directory in
/usr/doc associated with xtide.


%prep
%setup -c
%patch -p1
cp -p ../../SOURCES/harmonics.gz ./
gzip -d harmonics.gz

%build
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -d $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/lib/tide
install -m 0755 -s tide $RPM_BUILD_ROOT/usr/bin/
install -m 0755 -s xtide $RPM_BUILD_ROOT/usr/X11R6/bin/
install -m 0644 tiderc $RPM_BUILD_ROOT/etc/
install -m 0644 xtiderc $RPM_BUILD_ROOT/etc/
cp -p harmonics $RPM_BUILD_ROOT/usr/lib/tide/harmonics
chmod 0444 $RPM_BUILD_ROOT/usr/lib/tide/harmonics
cp -p xtide.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/xtide.1x
chmod 0444 $RPM_BUILD_ROOT/usr/X11R6/man/man1/xtide.1x


%files
%config /etc/tiderc
%config /etc/xtiderc
%doc GPL README
/usr/X11R6/bin/xtide
/usr/X11R6/man/man1/xtide.1x
/usr/bin/tide
/usr/lib/tide/harmonics

